
From: "Antonino A. Daplas" <adaplas@gmail.com>

The var structure in calc_mode_timings is not properly initialized (zero set)
which leads to undefined behavior when it is passed to fb_get_mode().

Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/video/fbmon.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/video/fbmon.c~fbdev-initialize-var-structure-in-calc_mode_timings drivers/video/fbmon.c
--- 25/drivers/video/fbmon.c~fbdev-initialize-var-structure-in-calc_mode_timings	Thu Sep  1 17:04:52 2005
+++ 25-akpm/drivers/video/fbmon.c	Thu Sep  1 17:04:52 2005
@@ -314,11 +314,13 @@ static int edid_is_monitor_block(unsigne
 		return 0;
 }
 
-static void calc_mode_timings(int xres, int yres, int refresh, struct fb_videomode *mode)
+static void calc_mode_timings(int xres, int yres, int refresh,
+			      struct fb_videomode *mode)
 {
 	struct fb_var_screeninfo var;
 	struct fb_info info;
 	
+	memset(&var, 0, sizeof(struct fb_var_screeninfo));
 	var.xres = xres;
 	var.yres = yres;
 	fb_get_mode(FB_VSYNCTIMINGS | FB_IGNOREMON, 
_
